Subject: Re: linux-next: manual merge of the msm tree with the arm tree

From: Greg KH <[email-masked]>
Date: Wed, 2 Feb 2011 11:43:59 -0800

On Wed, Feb 02, 2011 at 10:29:14AM -0800, David Brown wrote:
> On Sun, Jan 30 2011, Stephen Rothwell wrote:
> 
> > Hi David,
> >
> > Today's linux-next merge of the msm tree got conflicts in
> > arch/arm/mach-msm/board-msm7x27.c, arch/arm/mach-msm/board-msm7x30.c,
> > arch/arm/mach-msm/board-qsd8x50.c and arch/arm/mach-msm/board-sapphire.c
> > between commit eda53d6d032effb653410b79e1b49e652a881744 ("ARM: P2V: avoid
> > initializers and assembly using PHYS_OFFSET") from the arm tree and
> > commit 07a3cc4814f790354d4c7be2c9dc6143a714a07a ("msm: Clean up useless
> > ifdefs") from the msm tree.
> >
> > I fixed it up (see below) and can carry the fix as necessary.
> 
> What is the best way to resolve this?  I can't really merge against
> Russell's tree, since he may need to rebase his tree before the merge
> window?

Public trees should never be rebased, so that shouldn't happen.

thanks,

greg k-h